curl --request GET \
--url https://api.checklyhq.com/v2/usage/terms \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.checklyhq.com/v2/usage/terms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.checklyhq.com/v2/usage/terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checklyhq.com/v2/usage/terms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.checklyhq.com/v2/usage/terms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.checklyhq.com/v2/usage/terms")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checklyhq.com/v2/usage/terms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"accounts": [
{
"id": "<string>",
"name": "<string>"
}
],
"contractStartDate": "2023-12-25",
"contractEndDate": "2023-12-25",
"usageStartDate": "2023-12-25",
"creditBudget": 1,
"standardCreditsPerUnit": 1,
"premiumCreditsPerUnit": 1,
"packageModel": "limits",
"pricingRules": {
"apiChecks": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"multistepChecks": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"browserChecks": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"playwrightCheckSuites": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"uptimeMonitors": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"aiInvocations": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"statusPages": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"statusPageAdditionalServices": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"statusPageAdditionalSubscribers": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"additionalSms": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"additionalPhoneAlerts": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
}
}
}
],
"nextId": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS"
}Get usage terms v2
List all usage terms, optionally filtered by inclusive UTC dates. Results are live and paginated.
curl --request GET \
--url https://api.checklyhq.com/v2/usage/terms \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.checklyhq.com/v2/usage/terms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.checklyhq.com/v2/usage/terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checklyhq.com/v2/usage/terms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.checklyhq.com/v2/usage/terms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.checklyhq.com/v2/usage/terms")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checklyhq.com/v2/usage/terms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"accounts": [
{
"id": "<string>",
"name": "<string>"
}
],
"contractStartDate": "2023-12-25",
"contractEndDate": "2023-12-25",
"usageStartDate": "2023-12-25",
"creditBudget": 1,
"standardCreditsPerUnit": 1,
"premiumCreditsPerUnit": 1,
"packageModel": "limits",
"pricingRules": {
"apiChecks": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"multistepChecks": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"browserChecks": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"playwrightCheckSuites": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"uptimeMonitors": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"aiInvocations": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"statusPages": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"statusPageAdditionalServices": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"statusPageAdditionalSubscribers": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"additionalSms": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"additionalPhoneAlerts": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
}
}
}
],
"nextId": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS"
}Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Query Parameters
Include terms ending on or after this UTC date. No lower bound by default.
Include terms starting on or before this UTC date. No upper bound by default.
1 <= x <= 500Query-bound cursor. Live reads do not freeze measurements or prices.
1 - 4096Was this page helpful?